<?php
// Do not delete these lines
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
    die ('Please do not load this page directly. Thanks!');

if ( post_password_required() ) { ?>
<p class="nocomments">This post is password protected. Enter the password to view comments.</p>
    <?php
    return;
}
?>

<!-- You can start editing here. -->
<?php if ( have_comments() ) : ?>
<div class="comments block">
    <h2 id="comments">
        <span><?php comments_number('No', 'One', '%' );?></span> Responses to this article
    </h2>
    <div class="comments">                
            <?php setCommentCount(get_comments_number($comment->id));?>
            <?php wp_list_comments('type=comment&callback=flowhub_comment&style=div&max_depth=3');?>
    </div>
</div>
<?php else :?>

    <?php if ( comments_open() ) : ?>
<!-- If comments are open, but there are no comments. -->

    <?php else : // comments are closed ?>
<!-- If comments are closed. -->
<p class="nocomments">Comments are closed.</p>

    <?php endif; ?>

<?php endif; ?>


<?php if ( comments_open() ) : ?>
<div class="comment block" id="respond">
    <div class="holder">
        <h2><?php comment_form_title( 'Leave a Reply', 'Leave a Reply to %s' ); ?></h2>
    </div>

        <?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
    <p>You must be <a href="<?php echo wp_login_url( get_permalink() ); ?>">logged in</a> to post a comment.</p>
        <?php else : ?>
    <?php include( TEMPLATEPATH . '/includes/popup_comment.inc.php' );?>
    <form method="post" action="<?php echo get_option( 'siteurl' ); ?>/wp-comments-post.php" class="comment-form">
        <fieldset>
            <legend class="hidden">Comment form</legend>
                    <?php if ( is_user_logged_in() ) : global $current_user; // If user is logged-in, then show them their identity ?>
            <p>Logged in as <a href="<?php echo get_option( 'siteurl' ); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url( get_permalink() ); ?>" title="Log out of this account">Log out &raquo;</a></p>
            <div class="form-inner">
                <div class="col-left">
                    <!--BEGIN #form-section-author-->
                    <div class="row">
                        <label for="author"<?php if ( $req ) echo ' class="required"'; ?>>Name</label>
                        <div class="input-holder">
                            <input name="author" id="author" type="text" class="text" value="<?php echo $current_user->user_nicename; ?>" tabindex="1" <?php if ( $req ) echo "aria-required='true'"; ?> />
                        </div>
                    </div>
                    <!--END #form-section-author-->
                    <!--BEGIN #form-section-email-->
                    <div class="row">
                        <label for="email"<?php if ( $req ) echo ' class="required"'; ?>>E-mail</label>
                        <div class="input-holder">
                            <input name="email" id="email" type="text" class="text" value="<?php echo $current_user->user_email; ?>" tabindex="2" <?php if ( $req ) echo "aria-required='true'"; ?> />
                        </div>
                    </div>
                    <!--END #form-section-email-->
                    <!--BEGIN #form-section-url-->
                    <div class="row">
                        <label for="url">Website</label>
                        <div class="input-holder">
                            <input name="url" id="url" type="text" class="text" value="<?php echo $current_user->user_url; ?>" tabindex="3" />
                        </div>
                    </div>
                    <!--END #form-section-url-->
                </div>
                        <?php else : // If user isn't logged-in, ask them for their details ?>
                <div class="form-inner">
                    <div class="col-left">
                        <!--BEGIN #form-section-author-->
                        <div class="row">
                            <label for="author"<?php if ( $req ) echo ' class="required"'; ?>>Name</label>
                            <div class="input-holder">
                                <input name="author" id="author" type="text" class="text" value="<?php echo $current_user->user_nicename; ?>" tabindex="1" <?php if ( $req ) echo "aria-required='true'"; ?> />
                            </div>
                        </div>
                        <!--END #form-section-author-->
                        <!--BEGIN #form-section-email-->
                        <div class="row">
                            <label for="email"<?php if ( $req ) echo ' class="required"'; ?>>Email</label>
                            <div class="input-holder">
                                <input name="email" id="email" type="text" class="text" value="<?php echo $comment_author_email; ?>" tabindex="2" <?php if ( $req ) echo "aria-required='true'"; ?> />
                            </div>
                        </div>
                        <!--END #form-section-email-->
                        <!--BEGIN #form-section-url-->
                        <div class="row">
                            <label for="url">Website</label>
                            <div class="input-holder">
                                <input name="url" id="url" type="text" class="text" value="<?php echo $comment_author_url; ?>" tabindex="3" />
                            </div>
                        </div>
                        <!--END #form-section-url-->
                    </div>
                            <?php endif; // if ( is_user_logged_in() ) ?>
                    <!--BEGIN #form-section-comment-->
                    <div class="col-right">
                        <label for="textfield">Message</label>
                        <div class="area-holder">
                            <textarea name="comment" id="textfield" tabindex="4" rows="10" cols="30"></textarea>
                        </div>
                    </div>
                    <!--END #form-section-comment-->
                </div>
                <div class="notify">
                    <button name="submit" id="submit" type="submit" class="btn" tabindex="5"><span>Submit Comment</span></button>
                            <?php comment_id_fields(); ?>
                             <?php do_action( 'comment_form', $post->ID ); // Available action: comment_form ?>
                </div>
                <p><input name="submit" type="submit" id="submit" tabindex="5" class="hidden" value="Submit" />               
                </p>
        </fieldset>
                
        <!--END #comment-form-->
    </form>    
</div>
    <?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>