<?php
function comment_reply() {
    global $comment_depth;
    $max_depth = get_option( 'thread_comments_depth' );

    if ( ( get_option( 'thread_comments' ) ) && get_comment_type() == 'comment' ) {
        echo get_comment_reply_link( array(
        'reply_text' => 'Reply',
        'login_text' => '(Login',
        'depth' => $comment_depth,
        'max_depth' => $max_depth,
        'before' => '<span class="comment-reply">',
        'after' => '</span>'
        ));
    }
}
$prev_dept = 0;
$comment_count = 0;
$comment_index = 0;
function setCommentCount($size) {
    global $comment_count;
    $comment_count = $size;
}

function flowhub_comment($comment, $args, $depth) {
    $max_depth = $args['max_depth'];
    global $prev_dept, $comment_count, $comment_index;
    $comment_index ++;

    if($depth > 1) {
        $line = true;
    }
    $GLOBALS['comment'] = $comment;
    $level_class = $depth==1? "item" : "reply";

    if($prev_dept == $depth) {//not threaded
    }
    else if($prev_dept ==1 && $depth == 2) {

        $begin_comment = '<div class="children">';
    }

    else if($prev_dept ==2 && $depth == 1) {
        $begin_comment = '</div>';
    }

    else if($prev_dept ==2 && $depth == 3) {

        $begin_comment = '<div class="grandchildren">';
    }
    else if($prev_dept ==3 && $depth == 2) {
        $begin_comment = '</div>';
    }

    else if($prev_dept ==3 && $depth == 1) {
        $begin_comment = '</div></div>';
    }

    if(function_exists('get_avatar')) {
        $gravatar = get_avatar($comment, '65',get_bloginfo('template_directory') .'/images/avatar.jpg');
    }
    echo $begin_comment; ?>
<div <?php comment_class($level_class); ?> id="comment-<?php comment_ID() ?>">
    <div class="avatar"> <?php echo $gravatar;?>
        <div class="border">&nbsp;</div>
            <?php echo $line ? '<div class="line"></div>':''; ?>
    </div>
    <div class="info">
        <strong><?php comment_author_link() ?></strong> <em><?php comment_date('F j, Y'); ?></em>
            <?php
            if ($depth < $max_depth) {?>
        <a class="comment-reply" id="monkreply-<?php comment_ID() ?>">Reply</a>
                <?php }?>
    </div>
    <div class="text">
        <div class="r">
            <div class="tl">
                <div class="tr">
                    <div class="bl">
                        <div class="br">
                                <?php if ($comment->comment_approved == '0') : ?>
                            <em><?php _e('Your comment is awaiting moderation.') ?></em>
                            <br />
                                <?php endif;
                                comment_text();?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

        <?php
        if($comment_index == $comment_count) {
            if($depth == 3) {
                $end_comment = '</div></div>';
            }
            else if($depth == 2) {
                $end_comment = '</div>';
            }
            echo $end_comment;
        }

        $prev_dept = $depth;
        $begin_comment ='';
    }

    add_filter('get_comments_number', 'comment_count', 0);
    function comment_count( $count ) {
        if ( ! is_admin() ) {
            global $id;
            $comments_by_type = &separate_comments(get_comments('status=approve&post_id=' . $id));
            return count($comments_by_type['comment']);
        } else {
            return $count;
        }
    }
    ?>
