<?php
/*
 * @author Ayrton De Craene (http://www.monkify.com)
 * -> ayrton@monkify.com
*/
?>
<div class="monk_wrap">
    <div id="monk_top">
        <div class="monk_right">
            <div class="monk_bg">
                <h1 id="monk_logo">
                    <img src="<?php echo $monkpanel_dir ?>/images/logo.png" alt="monkify panel">
                </h1>
                <h2><?php echo $themename; ?> <span>Version <?php echo $themeversion;?></span></h2>
                <!-- removed for themeforest <h3><a href="http://www.monkify.com" class="button grey">Buy Themes</a></h3>-->
            </div>
        </div>
    </div>
    <div id="monk_nav_cont">
        <div id="monk_nav">
            <div class="monk_bg">
                <ul>
                    <?php
                    if($_GET['monk_section'] == "") {
                        $monk_curpage='general';
                    }
                    else {
                        $monk_curpage = $_GET['monk_section'];
                    }
                    $monk_index = 0;
                    foreach ($subpages as $subpage) {
                        $monk_index ++;
                        if($monk_index == count($subpages) && $monk_curpage == $subpage->getTitle()) {
                            $li_start = '<li class="last active">';
                        }

                        else if ($monk_curpage == $subpage->getTitle()) {
                            $li_start = '<li class="active">';
                        }
                        else if($monk_index == count($subpages)) {
                            $li_start = '<li class="last">';
                        }
                        else {
                            $li_start ='<li>';
                        }
                        echo $li_start;
                        echo "<a href='admin.php?page=functions.php&monk_section=". urlencode($subpage->getTitle())."'>". $subpage->getTitle() . "</a></li>";
                    }
                    ?>
                </ul>
            </div>
        </div>
        <?php
        global $monk_plugins;
        if(sizeof($monk_plugins) > 0) {
            ?>
        <div id="monk_nav"  class="monk_plugin">
            <div class="monk_bg">

                <ul>
                        <?php
                        $monk_index = 0;
                        $last_class="";                        
                        foreach ($monk_plugins as $plugin => $plugin_link) {
                            $monk_index ++;
                            if($monk_index == count($monk_plugins)) {
                                $last_class ="last";
                            }
                            echo '<li class="'.$last_class.'"><a href="'.$plugin_link.'">'. $plugin . '</a></li>';

                        }
                        ?>
                </ul>
            </div></div>
            <?php }?>
    </div>


    <?php $i = 0;
    foreach ($subpages as $subpage) {
        if ($monk_curpage == $subpage->getTitle()) {?>
    <div class="monk_opts">
        <div class="monk_bottom"><div class="monk_bg">

                <form method="post">
                    <div id="monk_tabs">
                        <ul class="tabs">
                                    <?php
                                    foreach ($subpage->getTabs() as $monk_tab) {
                                        $j ++;
                                        if(count($subpage->getTabs())==1) {
                                            $tab_class ='class="left active right"';
                                        }

                                        else if($j == count($subpage->getTabs())) {
                                            $tab_class ='class="right"';
                                        }
                                        else if ($j == 1) {
                                            $tab_class ='class="left active"';
                                        }

                                        echo '<li ' . $tab_class .'>'.$monk_tab->getTitle().'</li>';
                                    }
                                    ?>
                        </ul>

                        <div class="monk_tab_bg">
                            <div class="monk_top">
                                        <?php
                                        foreach ($subpage->getTabs() as $monk_tab) {
                                            $monk_id = str_replace(" ", "_", $monk_tab->getTitle());?>
                                <div id="<?php echo 'monk_tab_'.$monk_id ?>" class="monk_tab">
                                                <?php echo $monk_tab->getIntroduction();
                                                echo $monk_tab;?>
                                </div>
                                            <?php }?>
                            </div>
                            <div class="hr clear">&nbsp;</div>
                        </div>
                    </div>
                    <div class="monk_action">
                        <div class="monk_bg">
                            <div class="monk_save">
                                <input name="save" type="submit" value="Update Settings" />
                            </div>
                            <input type="hidden" name="action" value="save" />
                            <input type="hidden" name="monk_index" value="<?php echo $i; ?>" />
                        </div>
                    </div>
                </form>
                <div class="monk_reset">
                    <form method="post">
                        <p>
                            <input name="reset" type="submit" value="Restore Default" class="btnGrey" />
                            <input type="hidden" name="action" value="reset" />
                            <input type="hidden" name="monk_index" value="<?php echo $i; ?>" />
                        </p>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="clear">&nbsp;</div>
            <?php }
        $i++;
    }

    ?>