<?php get_header(); ?>
<div id="content_container">
    <div id="content_container_bg">
        <div id="content" class="search">
            <?php if (have_posts()) : ?>

            <h2 class="results">Viewing results for <span><?php the_search_query() ?></span></h2>
            <div id="postcontainer">
                    <?php while (have_posts()) : the_post(); ?>
                <div class="post">
                    <hr />
                    <div class="thumb_cont"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>" class="thumb">
                                    <?php include(TEMPLATEPATH . '/includes/thumbBigger.inc.php'); ?>
                            <span class="hidden">&nbsp;</span></a><a class="comments_balloon" href="<?php the_permalink() ?>/#comments"><?php comments_number('0', '1', '%') ?></a> </div>
                    <div class="tida">
                        <h1 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a><span class="date"><?php the_time('d/m/y') ?></span></h1>                        
                        <div class="right clear">&nbsp;</div>
                    </div>
                    <p class="text"><?php echo trimText(get_the_excerpt(),525); ?></p>
                    <a href="<?php the_permalink() ?>" rel="bookmark" title="Read more about <?php the_title(); ?>" class="more btn"><span>read more</span></a> </div>
                    <?php endwhile; ?>
                <hr />
                    <?php if(function_exists('wp_paginator')) {
                        wp_paginator();
                    }
                    else {
                        //plugin is not installed
                        echo '<div id="pagination">';
                        monk_previous_posts('Newer Entries',0,'older btn'); // older btn
                        monk_next_posts('Older Entries',0,'newer btn'); //newer btn
                        echo '</div>';
                    } ?>
                <?php else : ?>
                <h2 class="results">No posts found. <span>Try a different search?</span></h2>
                <div id="postcontainer">
                    <?php endif; ?>
                </div></div>
            <?php get_sidebar(); ?>
        </div>
    </div>
    <?php get_footer(); ?>