<?php get_header();?>
<div id="content_container">
    <div id="content_container_bg">
        <div id="content">
            <div id="postcontainer">
                <div class="excerpt block">
                    <?php
                    /* begin thumbnail for posts
                     * if you remove this thumbnail remember to add the following CSS-line: .single div.tida{width:100%;}                     
                    */
                    ?>
                    <div class="thumb_cont">
                        <span class="thumb">
                            <?php include(TEMPLATEPATH . '/includes/thumb.inc.php'); ?>
                            <span class="hidden">&nbsp;</span>
                        </span>
                        <a class="comments_balloon" href="#comments">
                            <?php comments_number('0', '1', '%') ?>
                        </a>
                    </div>
                    <?php //end thumbnail | begin title ?>
                    <div class="tida">
                        <h1 class="title"><?php the_title(); ?>
                            <span class="date"><?php the_time('d/m/y') ?></span>
                        </h1>
                    </div>
                    <?php // end title | begin excerpt ?>
                    <p class="text">
                        <?php echo get_the_excerpt() ?>
                    </p>
                    <?php // end excerpt ?>
                    <hr />
                </div>

                <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                <div <?php post_class('block') ?> id="post-<?php the_ID(); ?>">
                            <?php the_content(); ?>
                </div>
                <hr />
                        <?php // begin share ?>
                <div class="block share">
                    <h2>Share</h2>
                    <div class="tl">
                        <div class="tr">
                            <div class="bl">
                                <div class="br">
                                    <div class="c">
                                        <ul>
                                            <li><a href="http://digg.com/submit?phase=2&amp;url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>" class="digg"> <span class="hidden">digg</span> </a> </li>
                                            <li><a href="http://www.facebook.com/share.php?u=<?php the_permalink(); ?>" class="facebook"> <span class="hidden">facebook</span> </a> </li>
                                            <li><a href="http://twitter.com/home?status=Currently reading <?php the_title(); ?> (<?php getTinyUrl(the_permalink());?>)" class="twitter"> <span class="hidden">twitter</span> </a> </li>
                                            <li><a href="http://www.technorati.com/faves?add=<?php the_permalink(); ?>" class="technorati"> <span class="hidden">technorati</span> </a> </li>
                                            <li><a href="http://del.icio.us/post?url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>" class="delicious"> <span class="hidden">delicious</span> </a> </li>
                                            <li><a href="http://www.stumbleupon.com/submit?url=<?php the_permalink(); ?>" class="stumbleupon"> <span class="hidden">stumbleupon</span> </a> </li>
                                            <li><a href="http://reddit.com/submit?url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>" class="reddit"> <span class="hidden">reddit</span> </a> </li>
                                            <li><a href="http://www.myspace.com/Modules/PostTo/Pages/?c=<?php the_permalink(); ?>&amp;t=<?php the_title(); ?>" class="myspace"> <span class="hidden">myspace</span> </a> </li>
                                        </ul>
                                                <?php if (function_exists('sharethis_button')) {
                                                    sharethis_button();
                                                } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr />
                </div>
                        <?php // end share ?>
                <div class="block">
                    <p>
                                <?php
                                if ( comments_open() && pings_open() ) {// Both Comments and Pings are open
                                    $post_respondString = 'You can <a href="#respond">leave a response</a>, or <a href="' .  get_trackback_url() .'" rel="trackback">trackback</a> from your own site.';
                                } elseif ( !comments_open() && pings_open() ) {// Only Pings are Open

                                    $post_respondString = 'Responses are currently closed, but you can <a href="'. get_trackback_url() . '" rel="trackback">trackback</a> from your own site.';
                                } elseif ( comments_open() && !pings_open() ) {// Comments are open, Pings are not
                                    $post_respondString = 'You can skip to the end and leave a response. Pinging is currently not allowed.';

                                } elseif ( !comments_open() && !pings_open() ) {// Neither Comments, nor Pings are open
                                    $post_respondString = 'Both comments and pings are currently closed.';
                                }
                                echo $post_respondString;
                                ?>
                    </p>
                </div>
                        <?php comments_template(); ?>
                    <?php endwhile; else: ?>
                <p>Sorry, no posts matched your criteria.</p>
                <?php endif; ?>
            </div>
        </div>
        <?php get_sidebar(); ?>
    </div>
</div>
<?php get_footer(); ?>