<?php
/**
 * Description of MonkPanelSection
 *
 * @author Ayrton De Craene (http://www.monkify.com)
 */
class MonkPanelSection {
    private $title;
    private $elements;

    private $left_or_right;

    function __construct($title, $elements,$direction = "left") {
        $this->title = $title;
        $this->elements = $elements;
        $this->left_or_right = $direction;
    }

    public function getTitle() {
        return $this->title;
    }

    public function getElements() {
        return $this->elements;
    }

    public function __toString() {
        $section = '<div class="monk_section '. $this->left_or_right .'"><div class="monk_section_header">';
        $section .= $this->title . '</div><div class="monk_section_options">';
        foreach ($this->elements as $element) {
            $section .= $element;
        }
        $section .= '</div></div>';
        return  $section;
    }
}
?>
