jQuery(document).ready(function(){
    jQuery('.monk_tab:first').fadeIn();
    jQuery("#monk_nav li").hover(
        function () {
            jQuery(this).toggleClass("hover");
        }, function () {

            jQuery(this).toggleClass("hover");
        });
    jQuery(".tabs li").click(
        function(){
            jQuery(".tabs li").removeClass('active');
            jQuery(this).toggleClass('active');
            $id = '#monk_tab_' + jQuery(this).html().replace(" ","_");

            jQuery('.monk_tab_bg .monk_top > div:visible').hide();
            jQuery($id).fadeIn();
        });


    toolTip();

});

function toolTip(){
    jQuery(function () {
        if (jQuery('.monk_info').length == 0) {
            return;
        }
        jQuery('.monk_info').each(function () {
            var time = 250;
            var hideDelay = 100;

            var hideDelayTimer = null;

            var beingShown = false;
            var shown = false;
            var trigger = jQuery('img', this);
            var info = jQuery('.bubble', this).css('opacity', 0);


            trigger.mouseover(function () {
                info.css('left',-72);
                if (hideDelayTimer) clearTimeout(hideDelayTimer);
                if (beingShown || shown) {
                    // don't trigger the animation again
                    return;
                } else {
                    // reset position of info box
                    beingShown = true;

                    info.css({
                        display: 'block'
                    }).animate({
                        opacity: 1
                    }, time, 'swing', function() {
                        beingShown = false;
                        shown = true;
                    });
                }
                return;
            }).mouseout(function () {
                if (hideDelayTimer) clearTimeout(hideDelayTimer);
                hideDelayTimer = setTimeout(function () {
                    hideDelayTimer = null;
                    info.animate({
                        opacity: 0
                    }, time, 'swing', function () {
                        shown = false;
                        info.css('display', 'none');
                    });

                }, hideDelay);
                return;
            });
        });
    });

}