<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
    <head profile="http://gmpg.org/xfn/11">
        <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
        <title>
            <?php wp_title('&laquo;', true, 'right'); ?>
            <?php bloginfo('name'); ?>
        </title>
        <link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
        <?php echo getCSS();?>
        <link rel="shortcut icon" href="<?php echo get_option('fh_favicon')?>" />
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
        <?php loadScripts();?>
        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
        <div class="container">
            <div id="header" class="<?php echo get_option('fh_nav_color'); ?>">
                <div id="heading">
                    <div id="heading_right">
                        <div id="heading_bg">
                            <h1><a href="<?php echo get_option('home'); ?>"><span class="hidden">
                                        <?php bloginfo('name'); ?>
                                    </span><?php echo getLogo(); ?></a></h1>
                            <h2>
                                <?php bloginfo('description'); ?>
                            </h2>
                            <?php headerAdvertisement()?>
                        </div>
                    </div>
                </div>
                <div id="navigation"  class="<?php echo get_option('fh_nav_color'); ?>"> <a class="home" href="<?php echo get_option('home'); ?>">home</a>
                    <ul class="sf-menu" id="nav">
                        <?php wp_list_pages('sort_column=menu_order&title_li=&link_before=<span>&link_after=</span>'); ?>
                    </ul>
                </div>
                <div id="rss" class="<?php echo get_option('fh_rss_color'); ?>"><a href="<?php echo getFeed(); ?>"><?php echo getFeedCount(); ?> <span>feed subscribers</span></a></div>
                <div id="search"  class="<?php echo get_option('fh_search_color'); ?>">
                    <?php get_search_form(); ?>
                </div>
            </div>